Skip to content
Permalink
Browse files

Require gstreamer 1.16 in mach

  • Loading branch information
asajeffrey committed Nov 25, 2019
1 parent 69acec1 commit 57af033a28f806f2f1b792575f8ae52f9485d1ba
Showing with 4 additions and 4 deletions.
  1. +1 −1 python/servo/bootstrap.py
  2. +3 −3 python/servo/command_base.py
@@ -49,7 +49,7 @@ def install_trusty_deps(force):


def check_gstreamer_lib():
return subprocess.call(["pkg-config", "--atleast-version=1.14", "gstreamer-1.0"],
return subprocess.call(["pkg-config", "--atleast-version=1.16", "gstreamer-1.0"],
stdout=PIPE, stderr=PIPE) == 0


@@ -583,10 +583,10 @@ def needs_gstreamer_env(self, target, env, uwp=False, features=[]):
return True
else:
raise Exception("Your system's gstreamer libraries are out of date \
(we need at least 1.12). Please run ./mach bootstrap-gstreamer")
(we need at least 1.16). Please run ./mach bootstrap-gstreamer")
else:
raise Exception("Your system's gstreamer libraries are out of date \
(we need at least 1.12). If you're unable to \
(we need at least 1.16). If you're unable to \
install them, let us know by filing a bug!")
return False

@@ -679,7 +679,7 @@ def build_env(self, hosts_file_path=None, target=None, is_build=False, test_unit
# we append in the reverse order so that system gstreamer libraries
# do not get precedence
extra_path = [libpath] + extra_path
extra_lib = [libpath] + extra_path
extra_lib = [libpath] + extra_lib
append_to_path_env(path.join(libpath, "pkgconfig"), env, "PKG_CONFIG_PATH")

if sys.platform == "linux2":

0 comments on commit 57af033

Please sign in to comment.
You can’t perform that action at this time.